var peticion_finalizar;

// ************ FUNCIONES PARA EL CIERRE DEL PROGRAMA ************
/**
 * Funcion para realizar la peticion de paises al servidor.
 */
function peticion_cierre() {
	if (window.XMLHttpRequest) {
		peticion_finalizar = new XMLHttpRequest();
	} else if (window.ActiveXObject) {
		peticion_finalizar = new ActiveXObject("Microsoft.XMLHTTP");
	}
	// PREPARAR LA FUNCION DE RESPUESTA
	peticion_finalizar.onreadystatechange = respuesta_cierre;
	// REALIZAR PETICION HTTP
	peticion_finalizar.open('GET', crear_URL(1), true);
	peticion_finalizar.send(null);
}

function respuesta_cierre() {
	// NO SE REALIZA NINGUNA TAREA NI SE ESPERA RESPUESTA
}
// ************ FIN FUNCIONES PARA EL CIERRE DEL PROGRAMA ************

/**
 * CALCULAMOS DINAMICAMENTE LOS VALORES DE LA URL DE LA PETICION A REALIZAR.
 * 
 * @return {TypeName} URL CREADA PARA LA PETICION A FALTA DE PARAMETROS
 */
function crear_URL(tipo_peticion) {
	// VALORES DE LA URL.
	var puerto_servidor = location.port;
	var servidor_web = location.hostname;
	var aplicacion = location.pathname;
	var valor_parametro;
	if (tipo_peticion == 1) {
		valor_parametro = "";
		var url_pattern = "/Servlet_Finalizar";
	}
	aplicacion = aplicacion.substring(0, aplicacion.lastIndexOf("/"));
	var url_peticion = "http://" + servidor_web + ":" + puerto_servidor
			+ aplicacion + url_pattern;
	return url_peticion;
}